package xyz.lychee.lagfixer.libs.adventure.text.event;

import xyz.lychee.lagfixer.libs.adventure.nbt.api.BinaryTagHolder;
import xyz.lychee.lagfixer.libs.annotations.NotNull;
import xyz.lychee.lagfixer.libs.examination.Examinable;

public interface DataComponentValue extends Examinable {
   static @NotNull Removed removed() {
      return RemovedDataComponentValueImpl.REMOVED;
   }

   public interface Removed extends DataComponentValue {
   }

   public interface TagSerializable extends DataComponentValue {
      @NotNull BinaryTagHolder asBinaryTag();
   }
}
